<?php
namespace Claromentis\Core\Http;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_bd8510ebf29" . "b0f687c25c90" . "c740715d8" => base64_decode("aHR0cF9" . "yZXNwb2" . "5zZV9jb" . "2Rl"), "_e06da3ffb" . "a2e84b8e6f" . "94bd2d6ca3" . "c52" => base64_decode("Y3JlYXRlX2lud" . "GVybmFsX2xpbm" . "s="), "_87daa84e346" . "f6420a3f3426" . "e05d16a7b" => base64_decode("L" . "w" . "=" . "="), "_2b2486424e6dfb906c925739c3" . "29be7c" => base64_decode("aGVhZG" . "Vy"), "_db7b295629faa16" . "027a2c263095eba7" . "0" => base64_decode("cGhwX3NhcGlfb" . "mFtZQ=="), "_4d707fab93bebb00bbe" . "69e8159697c90" => base64_decode(""), "_fad3a97fa7919b1999c" . "977c8bdad925a" => base64_decode("c3ltZm9ueV9yZXF" . "1ZXN0"), "_ab8b6a5b56" . "b4cfd73230e" . "d5cad4fb54c" => base64_decode("Y29yZ" . "S5ib2" . "90ZWQ" . "="), "_8fec21706bd243b37ecf62" . "b1caf8fb8a" => base64_decode("Y" . "2" . "x" . "p"), "_e6d18c493faa20d5d45c0751d" . "2c02ce6" => base64_decode("TG9jYXRpb2" . "46IA=="), "_8ec8f26c742278f90615f50" . "d682eea79" => base64_decode("UE9" . "TVA" . "=="), "_eea266d1da508f42deea49cc3add6" . "8ec" => base64_decode("UF" . "VU"), "_781e2532c1e56969c535c1184064b" . "ae6" => base64_decode("b25Db" . "3JlQm" . "9vdA=" . "="), "_14feb73099827a30c31c0b996c13f" . "13c" => base64_decode("b25LZXJuZWxSZXF1ZXN" . "0"), "_c91b0ff" . "19f81a88" . "73a4593a" . "23719472" . "c" => base64_decode("cnRyaW" . "0="));
use Claromentis\Core\Application\Events\BootedEvent;
use Claromentis\Core\Event\EventSubscriberInterface;
use Symfony\Component\HttpKernel\Event\GetResponseEvent;
use Symfony\Component\HttpKernel\Event\RequestEvent;
use Symfony\Component\HttpKernel\KernelEvents;





class CanonicalUrlRedirector implements EventSubscriberInterface
{
    protected $canonical_url;
    public function __construct($_504f0c1dde6057a1a55bea80963ef65c)
    {
        $this->canonical_url = $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_c91b0ff19f81" . "a8873a4593a23" . "719472c"]($_504f0c1dde6057a1a55bea80963ef65c, $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_87daa84e346f6420a3f3426e" . "05d16a7b"]);
    }
    
    
    
    
    public static function getSubscribedEvents()
    {
        return array(KernelEvents::REQUEST => array($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_14feb73099827a30c31c0b996c13f1" . "3c"], 1536), $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_ab8b6a5b56b4cf" . "d73230ed5cad4fb" . "54c"] => $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_781e2532c1e56969c53" . "5c1184064bae6"]);
    }
    
    
    
    
    
    
    public function onKernelRequest(RequestEvent $event)
    {
        if ($this->canonical_url == $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4d707fab93bebb00" . "bbe69e8159697c90"] || !$event->isMasterRequest()) {
            return;
        }
        $request = $event->getRequest();
        
        
        if ($request->getMethod() === $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_8ec8f26c742278f" . "90615f50d682eea7" . "9"] || $request->getMethod() === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_eea266d1da508f42deea49cc" . "3add68ec"]) {
            return;
        }
        if (!$this->IsCanonicalUrl($request)) {
            $event->setResponse($this->BuildRedirectResponse($request));
        }
    }
    
    
    
    
    
    
    
    
    
    public function onCoreBoot(BootedEvent $event) : void
    {
        
        
        if ($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_db7b295629faa16027a2c2630" . "95eba70"]() === $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_8fec21706bd24" . "3b37ecf62b1caf" . "8fb8a"]) {
            return;
        }
        $app = $event->getApplication();
        
        
        
        
        
        
        $_0ce802ba864a6ec25741334b8e5097bc = $app[$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_fad3a97fa791" . "9b1999c977c8b" . "dad925a"]];
        if ($_0ce802ba864a6ec25741334b8e5097bc && $this->SimpleCheckAndRedirect($_0ce802ba864a6ec25741334b8e5097bc)) {
            
            
            exit;
        }
    }
    protected function IsCanonicalUrl(\Symfony\Component\HttpFoundation\Request $request)
    {
        return $request->getSchemeAndHttpHost() == $this->canonical_url;
    }
    protected function BuildRedirectResponse(\Symfony\Component\HttpFoundation\Request $request)
    {
        $_c927258f5322288a992c77be40ae0b53 = $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_e06da3ffb" . "a2e84b8e6f" . "94bd2d6ca3" . "c52"]($request->getRequestUri());
        return new RedirectResponse($_c927258f5322288a992c77be40ae0b53, 301);
    }
    
    
    
    
    
    
    
    
    
    public function SimpleCheckAndRedirect(\Symfony\Component\HttpFoundation\Request $request)
    {
        if ($this->canonical_url != $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_4d707fab93bebb00bbe69e8159697c9" . "0"] && !$this->IsCanonicalUrl($request)) {
            $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_bd8510ebf29b0f687c2" . "5c90c740715d8"](301);
            $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_2b2486424e6dfb90" . "6c925739c329be7c"]($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_e6d18c493faa20d5d4" . "5c0751d2c02ce6"] . $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_e06da3ffba2e84b8e6f94b" . "d2d6ca3c52"]($request->getRequestUri()));
            return true;
        }
        return false;
    }
}